
%global meadversion 1.9.0
%global namedversion 1.9.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package elytron-web}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.9.0.Final-redhat-00001

Name:           %{?scl_prefix}elytron-web
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Elytron Web
Group:          Development/Java

%if %with mead
Source100: elytron-web-parent-1.9.0.Final-redhat-00001-project-sources.tar.gz
Source102: undertow-server-1.9.0.Final-redhat-00001.jar
Source103: undertow-server-servlet-1.9.0.Final-redhat-00001.pom
Source104: undertow-common-test-1.9.0.Final-redhat-00001-sources.jar
Source105: undertow-server-1.9.0.Final-redhat-00001.pom
Source106: undertow-common-test-1.9.0.Final-redhat-00001.jar
Source107: undertow-server-servlet-1.9.0.Final-redhat-00001.jar
Source108: undertow-server-1.9.0.Final-redhat-00001-sources.jar
Source109: undertow-server-servlet-1.9.0.Final-redhat-00001-sources.jar
Source110: undertow-common-test-1.9.0.Final-redhat-00001.pom
Source111: elytron-web-parent-1.9.0.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/elytron-web
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Integration project for integrating Elytron based HTTP authentication with web
containers.

%package -n %{?scl_prefix}undertow-server
Summary:        WildFly Elytron Web - Undertow Integration
Group:          Development/Java


%description -n %{?scl_prefix}undertow-server
Integration project for integrating Elytron based HTTP authentication with
Undertow.

%if %with javadoc
%package javadoc
Summary:        Javadoc for elytron-web
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n elytron-web-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/undertow-server-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-server-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/undertow-server-servlet-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-server-servlet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-server-servlet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-server-servlet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-server-servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-server-servlet-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/elytron-web-%{namedversion}
unzip -qq %{_sourcedir}/elytron-web-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/elytron-web-%{namedversion} -x META-INF/\*
%{__ln_s} elytron-web-%{namedversion} %{buildroot}%{_javadocdir}/elytron-web
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}undertow-server
%defattr(0644,root,root,0755)
%doc LICENSE README.md
%{_javadir}/undertow-server-%{namedversion}.jar
%{_javadir}/undertow-server.jar
%{_javadir}/undertow-server-servlet-%{namedversion}.jar
%{_javadir}/undertow-server-servlet.jar
%if %with javadoc
%{_javadir}/undertow-server-%{namedversion}-javadoc.jar
%{_javadir}/undertow-server-javadoc.jar
%{_javadir}/undertow-server-servlet-%{namedversion}-javadoc.jar
%{_javadir}/undertow-server-servlet-javadoc.jar
%endif
%{_javadir}/undertow-server-%{namedversion}-sources.jar
%{_javadir}/undertow-server-sources.jar
%{_javadir}/undertow-server-servlet-%{namedversion}-sources.jar
%{_javadir}/undertow-server-servlet-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/elytron-web-%{namedversion}
%{_javadocdir}/elytron-web
%endif

%changelog
* Tue Mar 02 2021 Yong Yang <yyang@redhat.com> - 1.9.0-1.Final_redhat_00001.1
- RPM wrapper build 1.9.0.Final-redhat-00001

* Fri Sep 25 2020 Yong Yang <yyang@redhat.com> - 1.8.0-1.Final_redhat_00001.1
- 1.8.0.Final-redhat-00001

* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 1.7.1-1.Final_redhat_00001.1
- RPM wrapper build 1.7.1.Final-redhat-00001

* Tue Sep 10 2019 Yong Yang <yyang@redhat.com> - 1.6.0-1.Final_redhat_00001.1
- RPM wrapper build 1.6.0.Final-redhat-00001

* Mon Jun 10 2019 Yong Yang <yyang@redhat.com> - 1.5.0-1.Final_redhat_00001.1
- RPM wrapper build

* Wed Jun 05 2019 Yong Yang <yyang@redhat.com> - 1.4.0-3.Final_redhat_00001.1
- RPM wrapper build

* Fri May 31 2019 Yong Yang <yyang@redhat.com> - 1.4.0-2.Final_redhat_00001.1
- RPM wrapper build

* Wed May 15 2019 Permaine Cheung <pcheung@redhat.com> - 1.4.0-1.Final_redhat_00001.1
- 1.4.0.Final_redhat_00001

* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 1.2.4-1.Final_redhat_00001.1
- 1.2.4.Final-redhat-00001

* Tue Oct 23 2018 Permaine Cheung <pcheung@redhat.com> - 1.2.3-2.Final_redhat_00001.1
- Add undertow-server-servlet.jar

* Wed Aug 29 2018 Petr Sakar <psakar@redhat.com> - 1.2.3-1.Final_redhat_00001.1
- upgrade to 1.2.3.Final-redhat-00001

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.1.0-1.Final_redhat_1.1
-  1.1.0.Final-redhat-1 

* Wed Sep 13 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Sun Aug 20 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-9.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-8.CR1_redhat_1.1
- upgrade to 1.0.0.CR1-redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-7.Beta16_redhat_1.1
- upgrade to 1.0.0.Beta16-redhat-1

* Fri Apr 21 2017 Martin Minar <mminar@redhat.com> - 1.0.0-6.Beta15_redhat_1.1
- update to version 1.0.0.Beta15

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-5.Beta14_redhat_1.1
- upgrade to 1.0.0.Beta14-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-4.Beta12_redhat_1.1
- upgrade to 1.0.0.Beta12-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-3.Beta10_redhat_1.1
- upgrade to 1.0.0.Beta10-redhat-1

* Sun Jan 22 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Beta8_redhat_1.1
- upgrade to 1.0.0.Beta8-redhat-1

* Thu Jan 12 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Beta7_redhat_1.1
- release

